summaryrefslogtreecommitdiffstats
path: root/source/l/js185/js185.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/l/js185/js185.SlackBuild (renamed from source/a/module-init-tools/module-init-tools.SlackBuild)103
1 files changed, 57 insertions, 46 deletions
diff --git a/source/a/module-init-tools/module-init-tools.SlackBuild b/source/l/js185/js185.SlackBuild
index a8dc73ab3..515133886 100755
--- a/source/a/module-init-tools/module-init-tools.SlackBuild
+++ b/source/l/js185/js185.SlackBuild
@@ -1,6 +1,8 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Slackware build script for SpiderMonkey
+
+# Copyright 2011 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -9,7 +11,7 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
@@ -20,33 +22,49 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+PKGNAM=js185
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
-VERSION=${VERSION:-$(echo module-init-tools-*.tar.?z* | cut -d - -f 4 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-2}
-
-NUMJOBS=${NUMJOBS:--j7}
+TARNAME=js
+TARVERS=1.8.5
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-module-init-tools
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
rm -rf $PKG
mkdir -p $TMP $PKG
-
cd $TMP
-rm -rf module-init-tools-$VERSION
-tar xvf $CWD/module-init-tools-$VERSION.tar.?z* || exit 1
-cd module-init-tools-$VERSION || exit 1
+rm -rf $TARNAME-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $TARNAME-$TARVERS || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -54,56 +72,49 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Exclude *.{old,new,bak} files (and a few others that obviously aren't
-# valid for this... Thanks to Marco d'Itri for the patch that it's based on
-zcat $CWD/modprobe.ignore_some_suffixes.diff.gz | patch -p1 || exit 1
+cd js/src
+
+patch -p0 < $CWD/js185-destdir.patch || exit 1
-# Using --bindir=/sbin to make lsmod go there too
-CFLAGS= \
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/ \
- --bindir=/sbin \
- --docdir=/usr/doc/module-init-tools-$VERSION \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
--mandir=/usr/man \
- --enable-zlib \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux \
+ --enable-optimize="-O2" \
+ --enable-threadsafe \
+ --with-system-nspr \
+ --with-nspr-prefix=/usr || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Create the config directory just in case
-mkdir -p $PKG/etc/modprobe.d/
+# Oops, Makefile missed this:
+cp -a shell/js $PKG/usr/bin
-# Link lsmod into /bin
-mkdir -p $PKG/bin
-( cd $PKG/bin ; ln -sf /sbin/lsmod . )
+# No need for this:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
-# Compress manpages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir -p $PKG/usr/doc/module-init-tools-$VERSION
-cp -a \
- AUTHORS CODING COPYING FAQ README TODO \
- $PKG/usr/doc/module-init-tools-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp ../../README README.html $PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
touch -r ChangeLog $DOCSDIR/ChangeLog
fi
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/install
-zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/module-init-tools-$VERSION-$ARCH-$BUILD.txz
-
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz